Page MenuHomePhabricator

Log entries and associated page revisions are not actually associated in the database
Closed, ResolvedPublic

Description

Log entries and associated page revisions for some actions (upload, move, protect) are not actually associated in the database in any way (other than the title and timestamp hopefully matching). This is inconvenient.

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
Resolvedmatthiasmullie
Resolvedmatmarex
Resolvedmatmarex
ResolvedCenarium
Resolvedmatthiasmullie
ResolvedMarostegui
OpenNone
Resolvedmatthiasmullie
Resolvedmatmarex
OpenNone
OpenNone
OpenMarkTraceur
ResolvedSamwilson
OpenNone
ResolvedCenarium
ResolvedCenarium
ResolvedNone
OpenNone
ResolvedGeoffreyT2000
OpenNone
OpenNone
ResolvedCenarium
OpenCenarium
Resolvedmatmarex
Resolvedmatmarex
OpenNone
ResolvedCenarium

Event Timeline

matmarex updated the task description. (Show Details)
matmarex raised the priority of this task from to Normal.
matmarex added a subscriber: matmarex.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 21 2015, 10:11 PM

Change 211656 had a related patch set uploaded (by Bartosz Dziewoński):
Option to associate a rev id to a RC log entry, allowing unpatrolled status

https://gerrit.wikimedia.org/r/211656

(I filed this task for that patch, which previously existed, since I have a few things I want to mark as blocked on this work.)

TTO added a subscriber: TTO.Dec 22 2015, 3:26 AM

Can also be used for RevisonDelete. When the value is stored in log_params, it should also be stored in the log_search table

Can also be used for RevisonDelete. When the value is stored in log_params, it should also be stored in the log_search table

Huh, I didn't realize we have a log_search table. I was sad that it won't be queryable when stored in log_params :D

Note that at the moment, https://gerrit.wikimedia.org/r/211656 only stores the associated rev_id in the recentchanges table, which is ephemeral (but that will work for page patrolling and some change tags issues). I think I'll write a separate patch for logging.log_params and log_search.

Change 261314 had a related patch set uploaded (by Bartosz Dziewoński):
LogEntry: Make associated rev id persistent (store in logging and log_search)

https://gerrit.wikimedia.org/r/261314

Change 211656 merged by jenkins-bot:
Option to associate a rev id to a RC log entry, allowing unpatrolled status

https://gerrit.wikimedia.org/r/211656

Change 261314 merged by jenkins-bot:
LogEntry: Make associated rev id persistent (store in logging and log_search)

https://gerrit.wikimedia.org/r/261314

matmarex closed this task as Resolved.Jan 7 2016, 2:34 AM
matmarex removed a project: Patch-For-Review.
matmarex set Security to None.
matmarex awarded a token.